Name: tig
Version: 0.6
Release: alt1

Summary: text-mode interface for git
License: GPL
Group: Development/Other

URL: http://jonas.nitro.dk/tig/
Source: tig-%version.tar

Requires: git-core

# Automatically added by buildreq on Wed Mar 28 2007
BuildRequires: asciidoc libncurses-devel python-modules-encodings xmlto

%description
Tig is a git repository browser that additionally can act as a pager
for output from various git commands.

When browsing repositories, it uses the underlying git commands to
present the user with various views, such as summarized revision log
and showing the commit with the log message, diffstat, and the diff.

Using it as a pager, it will display input from stdin and colorize it.

%prep
%setup -q

%build
make CFLAGS='%optflags' clean tig tig.1 tigrc.5 \
	tig.1.html tigrc.5.html manual.toc manual.html README.html

%install
install -pD -m755 tig %buildroot%_bindir/tig
install -pD -m644 tig.1 %buildroot%_man1dir/tig.1
install -pD -m644 tigrc.5 %buildroot%_man5dir/tigrc.5

%files
%doc *.html
%_bindir/tig
%_man1dir/tig.1*
%_man5dir/tigrc.5*

%changelog
* Wed Mar 28 2007 Alexey Tourbin <at@altlinux.ru> 0.6-alt1
- updated to tig-0.6-1-ga1d2855

* Thu Feb 22 2007 Alexey Tourbin <at@altlinux.ru> 0.5-alt5
- updated to tig-0.5-16-ge15ec88 (improved handling of remotes)

* Sun Jan 07 2007 Alexey Tourbin <at@altlinux.ru> 0.5-alt4
- updated to tig-0.5-g337d737

* Tue Oct 31 2006 Alexey Tourbin <at@altlinux.ru> 0.5-alt3
- new snapshot, fixes SEGV in tree view

* Wed Oct 18 2006 Alexey Tourbin <at@altlinux.ru> 0.5-alt2
- in main view, fix handling of headlines that start with whitespace

* Tue Oct 03 2006 Alexey Tourbin <at@altlinux.ru> 0.5-alt1
- new version

* Sat Sep 09 2006 Alexey Tourbin <at@altlinux.ru> 0.4-alt1
- new snapshot

* Thu Jul 06 2006 Alexey Tourbin <at@altlinux.ru> 0.3-alt1
- initial revision
